Summary: A collections of XML-related technologies for python
Name: 4Suite
Version: 0.11
Release: 2
Source: ftp://ftp.fourthought.com/pub/4Suite/%{name}-%{version}.tar.gz 
License: Apacheish
Group: Development/Libraries
Requires: python
URL: http://www.4suite.org/4Suite/index.html
BuildRequires: Distutils python python-devel glibc-devel gcc PyXML = 0.6.5
Requires: PyXML = 0.6.5
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot


%description
4Suite is a collection of Python tools for XML processing and object-databases.
It contains the following components:

4DOM is an implementation of the W3C's standard DOM API for HTML and
XML content manipulation. 4DOM has full distributed-object support
based on the IDL used in the formal DOM spec.

4XSLT is a powerful XSLT processor based on the latest draft of the
W3C's XSLT specification. One of its many uses is to render XML
documents as customized and stylized HTML for current Web
browsers. 4XSLT also provides a powerful programming API for
applications to use for low-level, customized transformations of XML
documents.

4XPath is a library implementating of the W3C's XPath language for
ndicating and selecting portions of an XML document.

4RDF is a toolkit and library for RDF processing.

4XPointer a library that can resolve XML link ends based on the W3C's
specification for the XPointer 1.0 Candidate Recommendation.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -fr $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
grep -v /usr/doc INSTALLED_FILES > installed_files

# don't copy this to /usr/doc....
mkdir doctemp
mv $RPM_BUILD_ROOT/usr/doc/* doctemp/
rm -fr doctemp/*/test_suite

%clean
rm -rf $RPM_BUILD_ROOT

%files -f installed_files
%defattr(-,root,root)
%doc doctemp/*/*

%changelog
* Fri Jun 15 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add python-devel as a build dependency

* Mon May  7 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 0.11
- Require PyXML, as this is now distributed separately again

* Mon Jan 22 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 0.10.1, which includes PyXML... this should make integration
  problems between these disappear
- obsolete PyXML

* Wed Dec 13 2000 Trond Eivind Glomsrd <teg@redhat.com>
- remove a backup file from the sources

* Fri Dec 01 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 0.10.0

* Thu Nov 02 2000 Trond Eivind Glomsrd <teg@redhat.com>
- first cut at a specfile for 4Suite
